Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Attributes | List of all members
DirectGuiBase Class Reference
Inheritance diagram for DirectGuiBase:

## Public Member Functions
| __init__ (self)
| __setitem__ (self, key, value)
| addoptions (self, optionDefs, optionkeywords)
| bind (self, event, command, extraArgs=[])
| cget (self, option)
| component (self, name)
| components (self)
| configure (self, option=None, **kw)
| createcomponent (self, componentName, componentAliases, componentGroup, widgetClass, *widgetArgs, **kw)
| defineoptions (self, keywords, optionDefs, dynamicGroups=())
| destroy (self)
| destroycomponent (self, name)
| hascomponent (self, component)
| initialiseoptions (self, myClass)
| isinitoption (self, option)
| options (self)
| postInitialiseFunc (self)
| unbind (self, event)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
int | fInit = 1
str | guiId = 'guiObject'
list | postInitialiseFuncList = []

## Protected Attributes
dict | _constructorKeywords = tmp
tuple | _dynamicGroups = ()
dict | _optionInfo = {}
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Additional Inherited Members
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)

## Detailed Description

    Base class of all DirectGUI widgets.

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self | ) |

## Member Function Documentation

## ◆ __setitem__()

__setitem__ | ( |  | self,
|  |  | key,
|  |  | value )

## ◆ addoptions()

addoptions | ( |  | self,
|  |  | optionDefs,
|  |  | optionkeywords )

     addoptions(optionDefs) - add option def to option info

## ◆ bind()

bind | ( |  | self,
|  |  | event,
|  |  | command,
|  |  | extraArgs = [] )

    Bind the command (which should expect one arg) to the specified
    event (such as ENTER, EXIT, B1PRESS, B1CLICK, etc.)
    See DirectGuiGlobals for possible events

## ◆ cget()

cget | ( |  | self,
|  |  | option )

    Get current configuration setting for this option

## ◆ component()

component | ( |  | self,
|  |  | name )

## ◆ components()

components | ( |  | self | ) |

## ◆ configure()

configure | ( |  | self,
|  |  | option = None,
|  | ** | kw )

    configure(option = None)
    Query or configure the megawidget options.

## ◆ createcomponent()

createcomponent | ( |  | self,
|  |  | componentName,
|  |  | componentAliases,
|  |  | componentGroup,
|  |  | widgetClass,
|  | * | widgetArgs,
|  | ** | kw )

    Create a component (during construction or later) for this widget.

## ◆ defineoptions()

defineoptions | ( |  | self,
|  |  | keywords,
|  |  | optionDefs,
|  |  | dynamicGroups = () )

     defineoptions(keywords, optionDefs, dynamicGroups = {})

## ◆ destroy()

destroy | ( |  | self | ) |

Reimplemented in DirectDialog, DirectEntry, DirectEntryScroll, DirectFrame, DirectGuiWidget, DirectScrollBar, DirectScrolledFrame, DirectScrolledList, DirectSlider, DirectWaitBar, and DWBPackageInstaller.

## ◆ destroycomponent()

destroycomponent | ( |  | self,
|  |  | name )

## ◆ hascomponent()

hascomponent | ( |  | self,
|  |  | component )

## ◆ initialiseoptions()

initialiseoptions | ( |  | self,
|  |  | myClass )

    Call all initialisation functions to initialize widget
    options to default of keyword value

## ◆ isinitoption()

isinitoption | ( |  | self,
|  |  | option )

    Is this opition one that can only be specified at construction?

## ◆ options()

options | ( |  | self | ) |

    Print out a list of available widget options.
    Does not include subcomponent options.

## ◆ postInitialiseFunc()

postInitialiseFunc | ( |  | self | ) |

## ◆ unbind()

unbind | ( |  | self,
|  |  | event )

    Unbind the specified event

## Member Data Documentation

## ◆ _constructorKeywords

dict _constructorKeywords = tmp
| protected

## ◆ _dynamicGroups

tuple _dynamicGroups = ()
| protected

## ◆ _optionInfo

dict _optionInfo = {}
| protected

## ◆ fInit

int fInit = 1

## ◆ guiId

str guiId = 'guiObject'

## ◆ postInitialiseFuncList

list postInitialiseFuncList = []